org.eclipse.modisco.jee.ejbjar.discoverer

## Class EjbJarDiscoverer2

- java.lang.Object
- - org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer<T>
  - - org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer<T>
    - - org.eclipse.modisco.jee.actions.AbstractDeploymentDescriptorDiscoverer<IFile>
      - - org.eclipse.modisco.jee.ejbjar.discoverer.EjbJarDiscoverer2

All Implemented Interfaces:
  IDiscoverer<IFile>

    public class EjbJarDiscoverer2
    extends AbstractDeploymentDescriptorDiscoverer<IFile>

Creates a model from an ejbjar.xml file.

### Field Summary

Fields
`static java.lang.String` `DTD_URL`
`static java.lang.String` `ID`
`static java.lang.String` `ROOT_NAME`

### Constructor Summary

Constructors
Constructor and Description
`EjbJarDiscoverer2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `discoverElement(java.io.File file, IProgressMonitor monitor)` Alternate discoverer service with File as input instead of IFile.
`boolean` `isApplicableTo(IFile source)` To determine if the source object can be handled by the discoverer.

### Methods inherited from class org.eclipse.modisco.jee.actions.AbstractDeploymentDescriptorDiscoverer

`getDescXmlVersion, getDoctypeVersion`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer

`getDefaultTargetURI, getTargetModel, getTargetURI, setSerializeTarget, setTargetModel, setTargetURI`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer

`isAFolder, isAJavaProject, isAnIFileWithExtension, isAProject, setRefreshSourceBeforeDiscovery`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ROOT_NAME

    public static final java.lang.String ROOT_NAME

See Also:
  Constant Field Values

#### DTD_URL

    public static final java.lang.String DTD_URL

See Also:
  Constant Field Values

#### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### Constructor Detail

#### EjbJarDiscoverer2

    public EjbJarDiscoverer2()

### Method Detail

#### isApplicableTo

    public boolean isApplicableTo(IFile source)

Description copied from interface: `IDiscoverer`
To determine if the source object can be handled by the discoverer. Each discoverer has to implement this method with its own criteria to filter the selected object.

Some usual implementations are proposed on `AbstractDiscoverer`.

Parameters:
  `source` - the selected object.
Returns:
  `true` if the selected object is managed by this discoverer, `false` otherwise.

#### discoverElement

    public void discoverElement(java.io.File file,
                                IProgressMonitor monitor)
                         throws DiscoveryException

Alternate discoverer service with File as input instead of IFile. If you want to discover an `IFile`, use `IDiscoverer.discoverElement(Object, IProgressMonitor)` instead

Specified by:
  `discoverElement` in interface `IDiscoverer<IFile>`
Overrides:
  `discoverElement` in class `AbstractModelDiscoverer<IFile>`
Parameters:
  `file` - the file to discover
  `monitor` - a `progress monitor` (may be a `NullProgressMonitor` if progress monitoring is not desired)
Throws:
  `DiscoveryException`